Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Interface DrawingEvent

All Known Implementing Classes:
  Drawing.DefaultDrawingEvent

public interface DrawingEvent

Interface for notifications of changes in a Drawing. [pending] for ATTRIBUTE_CHANGE events, we should've a subclass aka DrawingEvent.AttributeChangeEvent, that'd tell us WHAT attribute really changed.

Since:
  jpicedt 1.3.2
Version:
  $Id: DrawingEvent.java,v 1.8.2.1 2007/09/02 11:56:18 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary
`static class` | `DrawingEvent.EventType` enumeration for DrawingEvent types

Method Summary
`Drawing` | `getDrawing()` Return the source of this event
`Element` | `getElement()` Return the graphic element that changed
`DrawingEvent.EventType` | `getType()` Return the event type

Method Detail

### getDrawing

    public Drawing getDrawing()

  Return the source of this event

### getElement

    public Element getElement()

  Return the graphic element that changed

### getType

    public DrawingEvent.EventType getType()

  Return the event type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org